Page 1 of 2

emerge digikam fails

Posted: Sat Aug 18, 2007 15:09
by rashan
I've gone and messed up my digikam somehow... trying to emerge digikam 9.2, spits out

Code: Select all

!!! ERROR: media-gfx/digikam-0.9.2 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 4886:   Called src_compile
  digikam-0.9.2.ebuild, line 79:   Called kde_src_compile
  kde.eclass, line 170:   Called kde_src_compile 'all'
  kde.eclass, line 340:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 336:   Called die

!!! died running emake, kde_src_compile:make
and a whole long mess of other errors and warnings. Relative newbie, and not sure where to look next... any ideas? running sabayon_x64 3.3 (thinking about just jumping up to 3.4 soon anyways...)

thanks,

rashan

Posted: Sat Aug 18, 2007 15:27
by wolfden
No idea why people paste that as their error message when the actual stuff needed is above that and it even says to paste the top most part cause that part doesn't tell us squat.

:?

Posted: Sat Aug 18, 2007 15:46
by rashan
wolfden wrote:No idea why people paste that as their error message when the actual stuff needed is above that and it even says to paste the top most part cause that part doesn't tell us squat.

:?
might have something to do with the "relative newbie" part... there's like 1820 lines in the output buffer, hard to tell what's what in all that, and I'm doing my best to learn as I go. I appreciate your patience. :)

i've attached the full build.log from the emerge to this reply in the hope that it helps.

again, I appreciate any ideas or help y'all might have.

edit: hmm... the attachment didn't seem to take. strange. anyways, hosted the log here then.

Posted: Sat Aug 18, 2007 15:56
by wolfden

Posted: Sat Aug 18, 2007 16:04
by rashan
wolfden wrote:http://pastebin.ca/

:roll:

ok.... if you prefer. just lookin for some help...

http://pastebin.ca/662271


:?:

Posted: Sat Aug 18, 2007 16:30
by DontPanic
I usually try to check gentoo forums for build errors. They often will have already run across a problem I'm having before.

Check this gentoo forum thread:

http://forums.gentoo.org/viewtopic-t-57 ... gikam.html

Where they say to 'remove string media-libs/lcms ~x86', you may need to do something like 'remove string media-libs/lcms ~amd64'

Posted: Sat Aug 18, 2007 16:39
by rashan
DontPanic wrote:I usually try to check gentoo forums for build errors. They often will have already run across a problem I'm having before.

Check this gentoo forum thread:

http://forums.gentoo.org/viewtopic-t-57 ... gikam.html

Where they say to 'remove string media-libs/lcms ~x86', you may need to do something like 'remove string media-libs/lcms ~amd64'
ah, thanks for this. I'll try to keep an eye on that thread and bug. hopefully it gets sorted before too long.

Posted: Sat Aug 18, 2007 16:44
by DontPanic
There was a simple solution buried in there you could try from APolozov:
remove string media-libs/lcms ~x86
from /etc/portage/package.keywords
and
emerge lcms digikam
except, in your case, you probably have ~amd64 instead of ~x86, but I'm not sure.

Posted: Sat Aug 18, 2007 16:51
by rashan
DontPanic wrote:There was a simple solution buried in there you could try from APolozov:
remove string media-libs/lcms ~x86
from /etc/portage/package.keywords
and
emerge lcms digikam
except, in your case, you probably have ~amd64 instead of ~x86, but I'm not sure.
saddly, this didn't do the trick for me. the bugtracker for this bug recomends downgrading to media-libs/lcms-1.16... which I'm not exactly sure how to do, but I'm going to try to figure that out. ;)

Posted: Sat Aug 18, 2007 17:12
by DontPanic
Try:

Code: Select all

emerge =media-libs/lcms-1.16